## ros-rolling-launch-testing 0.21.0

=== debian/changelog ===
ros-rolling-launch-testing (0.21.0-1focal) focal; urgency=high

  * Renamed three files from example_processes (#573 <https://github.com/ros2/launch/issues/573>)
  * Fix launch_testing README.md proc keyword to process. (#554 <https://github.com/ros2/launch/issues/554>) (#560 <https://github.com/ros2/launch/issues/560>)
  * Contributors: Jacob Perron, Khush Jain

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-launch-testing (0.20.0-1focal) focal; urgency=high

  * Declare frontend group dependency & use explicit dependencies in launch_testing (#520 <https://github.com/ros2/launch/issues/520>)
  * Update maintainers to Aditya Pande and Michel Hidalgo (#559 <https://github.com/ros2/launch/issues/559>)
  * Updated maintainers (#555 <https://github.com/ros2/launch/issues/555>)
  * First prototype of native pytest plugin for launch based tests (#528 <https://github.com/ros2/launch/issues/528>)
  * Adding Executable description class (#454 <https://github.com/ros2/launch/issues/454>)
  * Add a "hello world" style example (#532 <https://github.com/ros2/launch/issues/532>)
  * Contributors: Aditya Pande, Audrow Nash, Christophe Bedard, Ivan Santiago Paunovic, roger-strain

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 29 Nov 2021 08:00:00 -0000

ros-rolling-launch-testing (0.19.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 15 Jul 2021 07:00:00 -0000

ros-rolling-launch-testing (0.18.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-launch-testing (0.17.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-launch-testing (0.16.0-1focal) focal; urgency=high

  * Use unittest.mock instead of mock (#487 <https://github.com/ros2/launch/issues/487>)
  * Contributors: Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-rolling-launch-testing (0.15.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-launch-testing (0.14.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-launch-testing (0.13.0-1focal) focal; urgency=high

  * Update package maintainers (#465 <https://github.com/ros2/launch/issues/465>)
  * Contributors: Michel Hidalgo

 -- William Woodall <william@osrfoundation.org>  Wed, 04 Nov 2020 08:00:00 -0000

ros-rolling-launch-testing (0.12.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 18 Aug 2020 07:00:00 -0000

ros-rolling-launch-testing (0.11.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 14 Aug 2020 07:00:00 -0000

ros-rolling-launch-testing (0.11.0-1focal) focal; urgency=high

  * Disable cleanup of test cases once they have been run (#406 <https://github.com/ros2/launch/issues/406>)
  * Fix max() with empty sequence (#440 <https://github.com/ros2/launch/issues/440>)
  * Use unittest.TestCase.id() for pytest failure reprs. (#436 <https://github.com/ros2/launch/issues/436>)
  * Use unittest.TestCase.id() to put together jUnit XML output. (#435 <https://github.com/ros2/launch/issues/435>)
  * Claim ownership (#433 <https://github.com/ros2/launch/issues/433>)
  * Contributors: Dirk Thomas, Michel Hidalgo, Scott K Logan, William Woodall

 -- William Woodall <william@osrfoundation.org>  Tue, 04 Aug 2020 07:00:00 -0000

ros-rolling-launch-testing (0.10.2-1focal) focal; urgency=high

  * Set junit_family to xunit2 in pytest.ini
  * Stop using implicit variables in example testing.
  * Switch to from_parent to remove deprecation warning.
  * Fix new flake8 errors. (#420 <https://github.com/ros2/launch/issues/420>)
  * Remove uses of deprecated ready_fn. (#419 <https://github.com/ros2/launch/issues/419>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-launch-testing (0.10.1-1focal) focal; urgency=high

  * fixed depcrecation warning of imp to importlib (issue #387 <https://github.com/ros2/launch/issues/387>) (#407 <https://github.com/ros2/launch/issues/407>)
  * wait_for_ouput() repr includes actual text (#408 <https://github.com/ros2/launch/issues/408>)
  * Contributors: Shane Loretz, Zahi Kakish

 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-launch-testing (0.10.0-1focal) focal; urgency=high

  * Improve jUnit output for launch tests when run with py.test (#404 <https://github.com/ros2/launch/issues/404>)
  * avoid deprecation warning, use from_parent (#402 <https://github.com/ros2/launch/issues/402>)
  * Warn that old-style ready_fn and test attributes will be deprecated (#346 <https://github.com/ros2/launch/issues/346>)
  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * stop using constructors deprecated in pytest 5.4 (#391 <https://github.com/ros2/launch/issues/391>)
  * Add the ability to assert in stdout or stderr. (#378 <https://github.com/ros2/launch/issues/378>)
  * Add delay parameter to retry_on_failure decorator (#390 <https://github.com/ros2/launch/issues/390>)
  * Make RegisterEventHandler describe its sub-entities (#386 <https://github.com/ros2/launch/issues/386>)
  * Import test file without contaminating sys.modules (#360 <https://github.com/ros2/launch/issues/360>)
  * Update reference to example launch test file (#363 <https://github.com/ros2/launch/issues/363>)
  * Use imperative mood in docstrings. (#362 <https://github.com/ros2/launch/issues/362>)
  * Fix a documentation typo. (#361 <https://github.com/ros2/launch/issues/361>)
  * Fix junit XML when launch dies early (#358 <https://github.com/ros2/launch/issues/358>)

