## ros-rolling-launch-testing 3.1.0

=== debian/changelog ===
ros-rolling-launch-testing (3.1.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Sep 2023 00:00:00 -0000

ros-rolling-launch-testing (3.0.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-launch-testing (3.0.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-launch-testing (2.2.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-launch-testing (2.2.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-launch-testing (2.1.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-launch-testing (2.0.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-launch-testing (2.0.0-1jammy) jammy; urgency=high

  * Improve type checking (#679 <https://github.com/ros2/launch/issues/679>)
  * Contributors: Hervé Audren

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-launch-testing (1.4.1-1jammy) jammy; urgency=high

  * Fixed typos (#692 <https://github.com/ros2/launch/issues/692>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-rolling-launch-testing (1.4.0-1jammy) jammy; urgency=high

  * Allow ReadyToTest() usage in event handler (#665 <https://github.com/ros2/launch/issues/665>)
  * Inherit markers from generate_test_description (#670 <https://github.com/ros2/launch/issues/670>)
  * [rolling] Update maintainers - 2022-11-07 (#671 <https://github.com/ros2/launch/issues/671>)
  * Contributors: Audrow Nash, Nikolai Morin, Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-launch-testing (1.3.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-launch-testing (1.2.0-1jammy) jammy; urgency=high

  * Fix Typo (#641 <https://github.com/ros2/launch/issues/641>)
  * ReadyToTest action timeout using decorator (#625 <https://github.com/ros2/launch/issues/625>)
  * Switch to using a comprehension for process_names. (#614 <https://github.com/ros2/launch/issues/614>)
  * Contributors: Chris Lalancette, Deepanshu Bansal, Kenji Brameld

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-launch-testing (1.1.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-launch-testing (1.0.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-rolling-launch-testing (1.0.0-1jammy) jammy; urgency=high

  * Removed the deprecated ready_fn feature (#589 <https://github.com/ros2/launch/issues/589>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Apr 2022 00:00:00 -0000

ros-rolling-launch-testing (0.23.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-launch-testing (0.23.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-launch-testing (0.22.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-launch-testing (0.21.1-1jammy) jammy; urgency=high

  * Added case for instances of ExecuteLocal in resolveProcess function (#587 <https://github.com/ros2/launch/issues/587>)
  * Add compatitibility with pytest 7 (#592 <https://github.com/ros2/launch/issues/592>)
  * Contributors: Matt Lanting, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-launch-testing (0.21.0-1jammy) jammy; urgency=high

  * Renamed three files from example_processes (#573 <https://github.com/ros2/launch/issues/573>)
  * Fix launch_testing README.md proc keyword to process. (#554 <https://github.com/ros2/launch/issues/554>) (#560 <https://github.com/ros2/launch/issues/560>)
  * Contributors: Jacob Perron, Khush Jain

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-launch-testing (0.20.0-1jammy) jammy; urgency=high

  * Declare frontend group dependency & use explicit dependencies in launch_testing (#520 <https://github.com/ros2/launch/issues/520>)
  * Update maintainers to Aditya Pande and Michel Hidalgo (#559 <https://github.com/ros2/launch/issues/559>)
  * Updated maintainers (#555 <https://github.com/ros2/launch/issues/555>)
  * First prototype of native pytest plugin for launch based tests (#528 <https://github.com/ros2/launch/issues/528>)
  * Adding Executable description class (#454 <https://github.com/ros2/launch/issues/454>)
  * Add a "hello world" style example (#532 <https://github.com/ros2/launch/issues/532>)
  * Contributors: Aditya Pande, Audrow Nash, Christophe Bedard, Ivan Santiago Paunovic, roger-strain

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 29 Nov 2021 00:00:00 -0000

ros-rolling-launch-testing (0.19.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 15 Jul 2021 00:00:00 -0000

ros-rolling-launch-testing (0.18.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-launch-testing (0.17.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-launch-testing (0.16.0-1jammy) jammy; urgency=high


